Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.fingerprint
Class IdCache

    java.lang.Object
      oracle.ifs.admin.tools.fingerprint.IdCache

    public class IdCache

extends java.lang.Object

Implements a cache from a LibraryObject ID to a generated reference ID.

(Unpublished)

Method Summary
`void` | `endObjectDump(LibraryObject lo)` Marks that the given LibaryObject was fully dumped.
`java.lang.String` | `get(LibraryObject lo)` Returns the reference ID of the object or `null` if the object is not cached.
`static IdCache` | `getGlobalInstance()` Returns the global cache instance.
`boolean` | `needsDump(LibraryObject lo)` Returns `true` if the given object was put in the cache (hence referenced) but not yet fully dumped.
`java.lang.String` | `put(LibraryObject lo, LibraryObject parentLO, java.lang.String parentAttrName)` Puts an object in the cache, returning the generated reference ID.
`void` | `startObjectDump(LibraryObject lo)` Called at the start of the dump process for a given object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getGlobalInstance

    public static IdCache getGlobalInstance()

  Description copied from class: `IdCache`
  Returns the global cache instance.

  Returns:
    the global cache instance
  (Unpublished)

### get

    public java.lang.String get(LibraryObject lo)
                         throws IfsException

  Description copied from class: `IdCache`
  Returns the reference ID of the object or `null` if the object is not cached.

  Parameters:
    `lo` - the object
  Returns:
    the reference ID or `null` if the object is not in the cache
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### put

    public java.lang.String put(LibraryObject lo,
                                LibraryObject parentLO,
                                java.lang.String parentAttrName)
                         throws IfsException

  Description copied from class: `IdCache`
  Puts an object in the cache, returning the generated reference ID. Once an object is in the cache it cannot be added again.

  Parameters:
    `lo` - the current object
    `parentLO` - the parent LO that the current LO was retrieved from. Can be `null`
    `parentAttrName` - the attribute name of the parrent LO that the current LO was retrieved from. Can be `null`
  Returns:
    the generated reference ID
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### startObjectDump

    public void startObjectDump(LibraryObject lo)
                         throws IfsException

  Description copied from class: `IdCache`
  Called at the start of the dump process for a given object.

  Parameters:
    `lo` - the object
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### endObjectDump

    public void endObjectDump(LibraryObject lo)
                       throws IfsException

  Description copied from class: `IdCache`
  Marks that the given LibaryObject was fully dumped.

  Parameters:
    `lo` - the object to mark
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### needsDump

    public boolean needsDump(LibraryObject lo)
                      throws IfsException

  Description copied from class: `IdCache`
  Returns `true` if the given object was put in the cache (hence referenced) but not yet fully dumped.

  Parameters:
    `lo` - the object
  Returns:
    `true` if the object needs to be fully dumped
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD